backport-iwlwifi-dkms (1:0~104.14579-git7841db56-0ubuntu1) stonking; urgency=medium

  * Migrate to upstream core104 release (LP: #2152693)
    - debian: refresh patches

  * core103 failed to handle oversized command 0xC05 (LP: #2152688)
    - [BUGFIX] wifi: iwlwifi: mvm: avoid oversized UATS command copy
    - SAUCE: wifi: iwlwifi: mvm: don't map the stack to DMA
    - backports: replace kmalloc with kmalloc_obj family

 -- You-Sheng Yang <vicamo@gmail.com>  Fri, 05 Jun 2026 22:53:09 +0800

backport-iwlwifi-dkms (1:0~103.14464-git67e06629-0ubuntu1) stonking; urgency=medium

  * Upgrade to upstream second core103 release for NAN support
    - debian: accommodate to additional appendix after coreNNN

  * failed to build against 6.17 kernel: error: initialization of struct
    ieee80211_class::namespace (LP: #2152733)
    - build: fix build failure against kernels < 7.0

 -- You-Sheng Yang <vicamo.yang@canonical.com>  Fri, 15 May 2026 12:11:34 +0200

backport-iwlwifi-dkms (1:0~103.14434-gitdf6b5bf4-0ubuntu3) resolute; urgency=medium

  * patches: Fix build with 7.0 final. (LP: #2148273)

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 14 Apr 2026 08:34:59 +0300

backport-iwlwifi-dkms (1:0~103.14434-gitdf6b5bf4-0ubuntu2) resolute; urgency=medium

  * iwlmld: disagrees about version of symbol iwlwifi_mod_params (LP: #2146804)
    - debian: dkms: install iwldvm and iwlmld
    - debian: dkms: use indexed array notation to avoid holes

 -- You-Sheng Yang <vicamo@gmail.com>  Mon, 30 Mar 2026 23:13:29 +0800

backport-iwlwifi-dkms (1:0~103.14434-gitdf6b5bf4-0ubuntu1) resolute; urgency=medium

  * Migrate to upstream core103 release (LP: #2143137)
    - Drop upstreamed patches:
      - d/p/wifi-iwlwifi-trans-rename-at_least-variable-to-min_mode.patch
    - backports: accommodate to removal of __cond_lock
    - backports: include linux/hex.h for mac_pton

 -- You-Sheng Yang <vicamo@gmail.com>  Tue, 03 Mar 2026 20:45:23 +0800

backport-iwlwifi-dkms (1:0~102.14286-git483a4f9d-0ubuntu1) resolute; urgency=medium

  * Migrate to upstream core102 release (LP: #2141401)
    - debian: dkms: remove BUILD_EXCLUSIVE_KERNEL_MAX for now

 -- You-Sheng Yang <vicamo@gmail.com>  Tue, 10 Feb 2026 18:18:24 +0800

backport-iwlwifi-dkms (1:0~101.14146-git987b7ae1-0ubuntu1) resolute; urgency=medium

  * Migrate to upstream core101 release (LP: #2141400)
    - Drop upstreamed patches:
      - d/p/0018-backports-genetlink-hold-RCU-in-genlmsg_mcast.patch
      - d/p/backports-guard-SOCKWQ_ASYNC_-NOSPACE-WAITDATA-definition.patch
      - d/p/backports-use-timer_container_of-instead-of-from_timer.patch
      - d/p/wifi-free-SKBTX_WIFI_STATUS-skb-tx_flags-flag.patch
    - Refresh patches:
      - d/p/backports-accommodate-to-__cleanup-based-locking-infrastr.patch
      - d/p/backports-fix-build-against-kernels-v5.0.patch
      - d/p/backports-use-vanilla-linux-cleanup.h-if-available.patch
      - d/p/configure-detect-genlmsg_multicast_allns-ABI.patch
    - configure: bump ZFS_META_KVER_MIN and BUILD_EXCLUSIVE_KERNEL_MIN to 5.4
    - debian: dkms: bump BUILD_EXCLUSIVE_KERNEL_MAX to 6.19

 -- You-Sheng Yang <vicamo@gmail.com>  Tue, 10 Feb 2026 16:42:49 +0800

backport-iwlwifi-dkms (1:0~98.13832-git186af96a-0ubuntu1) resolute; urgency=medium

  * Migrate to upstream core98 release (LP: #2130336)
    - Drop upstreamed patches:
      - d/p/backports-net-rename-netns_local-to-netns_immutable.patch
      - d/p/wifi-nl80211-cfg80211-Stop-supporting-cooked-monitor.patch
    - Refresh patches:
      - d/p/backports-switch-to-timer_delete-_sync.patch
      - d/p/backports-use-timer_container_of-instead-of-from_timer.patch
      - d/p/wifi-mac80211-Drop-cooked-monitor-support.patch
    - backports: correct version range for nla_get_{s,u}int
    - wifi: iwlwifi: trans: rename at_least variable to min_mode
    - backports: accommodate to __cleanup() based locking infrastructure
      backported to stable kernels
    - backports: fix build against kernels < v5.0
    - backports: fix build against kernels < v4.17
    - debian: bump ZFS_META_KVER_MAX to 6.19
  * debian: dkms: use BUILD_EXCLUSIVE_KERNEL_{MIN,MAX}

 -- You-Sheng Yang <vicamo@gmail.com>  Mon, 09 Feb 2026 22:02:24 +0800

backport-iwlwifi-dkms (1:0~96.13623-gitd16e74cc-0ubuntu2) questing; urgency=medium

  * No change rebuild for correcting version string.

 -- You-Sheng Yang <vicamo@gmail.com>  Thu, 10 Jul 2025 16:08:28 +0800

backport-iwlwifi-dkms (1:0~96.13623-gitd16e74cc-0ubuntu1+sru.1) questing; urgency=medium

  * Migrate to upstream core96 release (LP: #2116012)
    - Drop upstreamed patches:
      - d/p/backports-accommodate-to-API-rename-of-debugfs_rename.patch
    - Refresh patches:
      - d/p/0014-UBUNTU-SAUCE-wifi-iwlwifi-fix-build-against-CONF.patch
      - d/p/backports-correct-version-range-for-dma-mapping-help.patch
      - d/p/backports-correct-version-range-for-scatterlist-help.patch
      - d/p/backports-remove-include-linux-min-max.h.patch
      - d/p/backports-use-vanilla-linux-cleanup.h-if-available.patch
    - debian: dkms: bump OBSOLETE_BY to 6.17

 -- You-Sheng Yang <vicamo@gmail.com>  Sat, 05 Jul 2025 23:01:26 +0800

backport-iwlwifi-dkms (1:0~95.13459-git5197300e-0ubuntu1) questing; urgency=medium

  * Migrate to upstream core95 release (LP: #2115945)
    - Drop upstreamed patches:
      - d/p/0017-backports-move-asm-unaligned.h-to-linux-unaligned.h.patch
      - d/p/backports-make-sure-KUNIT_STATIC_STUB_REDIRECT-is-de.patch
      - d/p/backports-pcie-fixes-for-PCI-mappings.patch
    - Refresh patches:
      - d/p/backports-correct-version-range-for-dma-mapping-help.patch
      - d/p/backports-correct-version-range-for-scatterlist-help.patch
      - d/p/backports-remove-include-linux-min-max.h.patch
    - Fix build against v6.16
      - d/p/backports-use-timer_container_of-instead-of-from_timer.patch
      - d/p/wifi-free-SKBTX_WIFI_STATUS-skb-tx_flags-flag.patch
    - debian: dkms: bump OBSOLETE_BY to 6.16

 -- You-Sheng Yang <vicamo@gmail.com>  Fri, 04 Jul 2025 15:00:31 +0800

backport-iwlwifi-dkms (1:0~94.13342-git452193f7-0ubuntu1~sru.4) questing; urgency=medium

  [You-Sheng Yang]

  * Migrate to upstream core94 release (LP: #2102121)
    - Fix build against v6.15
      - d/p/backports-use-vanilla-linux-cleanup.h-if-available.patch
      - d/p/wifi-nl80211-cfg80211-Stop-supporting-cooked-monitor.patch
      - d/p/wifi-mac80211-Drop-cooked-monitor-support.patch
      - d/p/backports-net-rename-netns_local-to-netns_immutable.patch
      - d/p/backports-switch-to-timer_delete-_sync.patch
    - backports: support lock guards as possible
    - Drop upstreamed patches:
      d/p/backports-convert-symbol-namespace-names-to-string-l.patch and
      d/p/backports-drop-use-of-pcim_iomap_regions_request_all.patch
    - Refresh patches:
      - d/p/0017-backports-move-asm-unaligned.h-to-linux-unaligned.h.patch:
        mostly upstreamed, but upstream uses wrong kernel version
      - d/p/0018-backports-genetlink-hold-RCU-in-genlmsg_mcast.patch:
        partially upstreamed
      - d/p/backports-pcie-fixes-for-PCI-mappings.patch: the diff snippet
        accidentally committed to a previous patch now restored to the right
        patch
    - debian: dkms: bump OBSOLETE_BY to 6.15

  * debian: don't use LINUX_VERSION_SUBLEVEL as it's only available since
    v5.12.
    - d/p/configure-detect-genlmsg_multicast_allns-ABI.patch
    - d/p/backports-timers-Rename-del_timer-_sync.patch
    - d/p/configure-detect-timer_delete_sync-API.patch

  * Fix build against v5.4.291+
    - d/p/configure-detect-tasklet_setup-API.patch

  * Fix build against v4.15.x
    - d/p/backports-add-pci_info-pci_err-if-not-defined.patch

  * Fix build against [v4.19.255, v4.19.291)
    - d/p/configure-detect-eth_hw_addr_set-API.patch

  * Fix lintian warning old-fsf-address-in-copyright-file

  * Document source package generation and add tag-upstream script

 -- You-Sheng Yang <vicamo@gmail.com>  Wed, 12 Mar 2025 22:47:38 +0800

backport-iwlwifi-dkms (1:0~93.12955-gite723a6f0-0ubuntu1) plucky; urgency=medium

  [You-Sheng Yang]

  * Migrate to upstream core93 release (LP: #2098677)
    - Drop upstreamed patches
      0015-backports-tree-wide-finally-take-no_llseek-out.patch and
      0016-backports-netdev_features-convert-NETIF_F_NETNS_LOCA.patch
    - debian: dkms: bump OBSOLETE_BY to 6.14

  * Failed to build against v6.13 (LP: #2095140)
    - d/p/backport-drop-use-of-pcim_iomap_regions_request_all.patch
    - d/p/backports-pcie-fixes-for-PCI-mappings.patch
    - d/p/backports-convert-symbol-namespace-names-to-string-l.patch

  * Failed to build against linux-6.14: error: implicit declaration of
    function 'debugfs_rename'; did you mean 'debugfs_remove'? (LP: #2098687)
    - d/p/backports-accommodate-to-API-rename-of-debugfs_rename.patch

  * Failed to build against linux-generic 6.8 with stable backports
    (LP: #2095138)
    - sync genlmsg_multicast_allns impl. a bit from upstream
    - d/p/configure-add-m4-macros-for-kernel-feature-detection.patch
    - d/p/configure-add-basic-files-for-build-time-configure.patch
    - d/p/configure-detect-genlmsg_multicast_allns-ABI.patch
    - debian: update rules/control/install/... to support files for build
      time configure script.

  * Failed to build against 6.1.0-1036-oem, 5.15.0-43-generic (LP: #2083481)
    - d/p/configure-detect-timer_shutdown-_sync-API.patch
    - d/p/backports-timers-Rename-del_timer-_sync.patch
    - d/p/configure-detect-timer_delete_sync-API.patch

  * Accumulative fixes for build failures against previous stable kernel
    releases (LP: #2095143)
    - d/p/backports-make-sure-KUNIT_STATIC_STUB_REDIRECT-is-de.patch
    - d/p/backports-include-linux-slab.h-for-kvmalloc.patch
    - d/p/backports-remove-include-linux-min-max.h.patch
    - d/p/backports-correct-version-range-for-dma-mapping-help.patch
    - d/p/backports-correct-version-range-for-scatterlist-help.patch
    - d/p/backports-include-linux-kernel.h-before-linux-overflow.h.patch

 -- You-Sheng Yang <vicamo@gmail.com>  Mon, 17 Feb 2025 22:43:58 +0800

backport-iwlwifi-dkms (1:0~91.12629-gite112ecce-0ubuntu1) plucky; urgency=low

  [You-Sheng Yang]

  * Migrate to upstream core91 release (LP: #2085453)
    - debian: refresh patches

  * Fix build against v6.12-rc2 (LP: #2083994)
    - backport: [tree-wide] finally take no_llseek out
    - backports: netdev_features: convert NETIF_F_NETNS_LOCAL to
      dev->netns_local
    - backports: move asm/unaligned.h to linux/unaligned.h
    - backports: genetlink: hold RCU in genlmsg_mcast()

 -- You-Sheng Yang <vicamo@gmail.com>  Thu, 24 Oct 2024 01:58:56 +0800

backport-iwlwifi-dkms (1:0~89.12325-git36c5be1a-0ubuntu1) oracular; urgency=low

  [You-Sheng Yang]
  * Migrate to upstream core89 release (LP: #2075132)
    - debian: refresh patches
  * backport: thermal: trip: Pass trip pointer to .set_trip_temp() thermal
    zone callback (LP: #2076261)
  * debian: drop --with dkms from rules

 -- You-Sheng Yang <vicamo@gmail.com>  Tue, 30 Jul 2024 15:21:38 +0800

backport-iwlwifi-dkms (1:0~88.12113-gitd7d581b7-0ubuntu1) oracular; urgency=low

  [You-Sheng Yang]
  * Migrate to upstream core88 release (LP: #2046871)
    - add debian epoch for version scheme migration
  * debian: dkms: bump OBSOLETE_BY to 6.11
  * Fix build against kernel v6.10
    - UBUNTU: SAUCE: backports: PCI_IRQ_LEGACY obsoleted, use PCI_IRQ_INTX
      instead
    - backport: fix args change in thermal_zone_device_register_with_trips
    - backport: remove second parameter of __assign_str()

 -- You-Sheng Yang <vicamo@gmail.com>  Sat, 29 Jun 2024 15:31:10 +0800

backport-iwlwifi-dkms (11510-0ubuntu1) noble; urgency=low

  [You-Sheng Yang]
  * New release
    - upstream version 11510 commit 41e354fb5f32f. (LP: #2042059)
    - debian: refresh patches
  * dkms: bump OBSOLETE_BY version to v6.7.0

 -- You-Sheng Yang <vicamo@gmail.com>  Tue, 31 Oct 2023 14:39:23 +0800

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog backport-iwlwifi-dkms`.
